Skip to main content

Move a conversation

Moves a conversation to a specified folder. If the parent parameter is null, the conversation will be moved to the root level.

Parameters

parent
nullable string
Unique identifier for the folder in which the conversation will be moved. The folder must exist within the current workspace and must not be archived. If null, the conversation will be moved to the root level.

Returns

Returns the updated conversation object if the move succeeded. Throws an error if the folder does not exist or is archived.

post
/api/conversations/{id}/move
curl -X POST https://{workspace}.kitchen.co/api/conversations/{id}/move \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"created_at": "2024-03-07T07:47:02+00:00",
"id": "convr_1lbg89ha9ttb5dmxuldku3nx",
"latest_message_created_at": null,
"latest_message": null,
"messages_count": 0,
"status": "open",
"title": "New Conversation",
"description": null,
"updated_at": "2024-03-07T07:47:02+00:00",
"visibility": "shared"
}